Skip to content
Navigation

Sends a delivery's event to its endpoint again, with the same event id; needs the read scopes its payload carries.

POST
https://api.sherpo.io/merchant/v1/stores/{store}/webhook_deliveries/{delivery}/resend

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • delivery
    string
    required
    minLength: 1

Header parameters

  • Idempotency-Key
    optional
    string

    Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.

    maxLength: 255 · minLength: 1 · pattern: ^[\x21-\x7E]+$

Request body JSON optional

Returns

200

Sends a delivery's event to its endpoint again, with the same event id; needs the read scopes its payload carries.

JSON
  • id
    string
    required
  • webhook_id
    string
    required
  • event_id
    string
    required
  • event
    string
    required
  • status
    string
    required
  • attempts
    number
    required
  • response_status
    required

    One of the following:

    • number
    • null
  • last_error
    required

    One of the following:

    • string
    • null
  • created_at
    string
    required
  • next_attempt_at
    required

    One of the following:

    • string
    • null
  • waiting
    required

    One of the following:

    • string
    • null
  • stuck
    boolean
    required
  • undone
    boolean
    required
  • settled_at
    required

    One of the following:

    • string
    • null
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close